Bug 64328 - WebMagick using ImageMagick's PerlMagick provokes severe memory leak
Summary: WebMagick using ImageMagick's PerlMagick provokes severe memory leak
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-02 15:10 UTC by Manfred Hollstein
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 17:55:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Manfred Hollstein 2002-05-02 15:10:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
I was using webmagick <http://webmagick.sourceforge.net/> to generate
some webpages from appr. 1000+ digital photos (each 800x600 .jpg and
ca. 90KB). WebMagick is using PerlMagick included with ImageMagick. I
ran it on my 7.3 system with 512MB RAM and 1GB swap, and after appr.
400 pix had been processed, the kernel decided to kill webmagick.
This is from /var/log/messages:

May  1 17:28:08 saturn kernel: Out of Memory: Killed process 24124 (webmagick).

I tried the same on my up2date 7.2 system (it's physically the same
system actually, so RAM and swap are identical), and didn't see any
problem and, what's even more important, it didn't even *touch the
swap space*!

Initially I suspected the new VM in the 2.4.18 kernel, but when I
downgraded ImageMagick to the version which comes with RHL 7.2, ie.

  ImageMagick-5.3.8-3
  ImageMagick-c++-5.3.8-3
  ImageMagick-c++-devel-5.3.8-3
  ImageMagick-devel-5.3.8-3
  ImageMagick-perl-5.3.8-3

everything works without problems even on the new 2.4.18-3 kernel.

Version-Release number of selected component (if applicable):
 -5.4.3.11-1

How reproducible:
Always

Steps to Reproduce:
1.Get and build webmagick
2.invoke it like "webmagick --verbose" using the .webmagickrc from below
3.
	

Actual Results:  After some time the kernel will kill the process as it ran out of
memory.

Expected Results:  The process should terminate normally.

Additional info:

This should be stuck into the file .webmagickrc in the current directory:

$opt_anonymous=1;
$opt_cachegeom="80x60+2+2>";
$opt_columns=1; 
$opt_framestyle=2;
$opt_indexname="index.shtml";
$opt_javascript=1;
$opt_readme="readme.shtml";
$opt_rows=245;
$opt_tables=1;
$opt_thumbgeometry="80x60+2+2>";

Comment 1 Matthias Clasen 2005-09-14 17:55:35 UTC
Please try to reproduce this against a supported release and reopen if you can.


Note You need to log in before you can comment on or make changes to this bug.